/*********************************************************
'*                                                       *
'*                 Radio Sample Codes                    *
'*                                                       *
'* ----------------------------------------------------- *
'*    Module   :   radioChan.c                           *
'*    Author   :   Li Zheng                              *
'********************************************************/

//SX1231WX^AhX
#define REG_FRFMSB                       0x07
#define REG_FRFMID                       0x08
#define REG_FRFLSB                       0x09

//`lg萔
static const unsigned long freq[] = {
  0xE62666,0xE63333,0xE64000,0xE64CCD,0xE6599A,0xE66666,
  0xE67333,0xE68000,0xE68CCD,0xE6999A,0xE6A666,0xE6B333,
  0xE6C000,0xE6CCCD,0xE6D99A,0xE6E666,0xE6F333,0xE70000,
  0xE70CCD,0xE7199A,0xE72666,0xE73333,0xE74000,0xE74CCD,
  0xE7599A,0xE76666,0xE77333,0xE78000,0xE78CCD,0xE7999A,
  0xE7A666,0xE7B333,0xE7C000,0xE7CCCD,0xE7D99A,0xE7E666,
  0xE7F333,0xE80000
};
  
void spiWriteReg(char addr, char val);

void radioChannel(char chan){
  char val;
  
  val = (char)(freq[chan] >> 16);
  spiWriteReg(REG_FRFMSB,val);   
  val = (char)(freq[chan] >> 8);
  spiWriteReg(REG_FRFMID,val);   
  val = (char)(freq[chan] & 0xFF);
  spiWriteReg(REG_FRFLSB,val);     
}
